import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class ancillarygroup extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      type: DataTypes.SMALLINT,
      allowNull: false,
      primaryKey: true
    },
    Code: {
      type: DataTypes.STRING(10),
      allowNull: false
    },
    Value: {
      type: DataTypes.STRING(200),
      allowNull: false
    },
    MainGroupCode: {
      type: DataTypes.STRING(10),
      allowNull: false
    },
    MainGroupID: {
      type: DataTypes.SMALLINT,
      allowNull: false
    },
    Version: {
      type: DataTypes.DOUBLE,
      allowNull: false
    },
    Deleted: {
      type: DataTypes.TINYINT,
      allowNull: false
    },
    MappedCode: {
      type: DataTypes.STRING(50),
      allowNull: true
    },
    IsDedicated: {
      type: DataTypes.TINYINT,
      allowNull: true
    }
  }, {
    sequelize,
    tableName: 'ancillarygroup',
    timestamps: false
  });
  return ancillarygroup;
  }
}
