import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class isic-4-fa extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      type: DataTypes.SMALLINT,
      allowNull: false,
      primaryKey: true
    },
    Code: {
      type: DataTypes.STRING(10),
      allowNull: false
    },
    Value: {
      type: DataTypes.STRING(120),
      allowNull: false
    },
    EnvironmentHealth: {
      type: DataTypes.TINYINT,
      allowNull: true
    },
    OccupationalHealth: {
      type: DataTypes.TINYINT,
      allowNull: true
    },
    CreationDate: {
      type: DataTypes.DATE,
      allowNull: false
    },
    ModificationDate: {
      type: DataTypes.DATE,
      allowNull: true
    },
    Version: {
      type: DataTypes.DOUBLE,
      allowNull: false
    },
    Deleted: {
      type: DataTypes.TINYINT,
      allowNull: false
    },
    ParentCode: {
      type: DataTypes.STRING(10),
      allowNull: true
    },
    ParentID: {
      type: DataTypes.SMALLINT,
      allowNull: true
    },
    BankCode: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    NewCode: {
      type: DataTypes.STRING(10),
      allowNull: true
    },
    IsDedicated: {
      type: DataTypes.TINYINT,
      allowNull: true
    }
  }, {
    sequelize,
    tableName: 'isic-4-fa',
    timestamps: false
  });
  return isic-4-fa;
  }
}
