import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class positiontypes extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      autoIncrement: true,
      type: DataTypes.SMALLINT,
      allowNull: false,
      primaryKey: true
    },
    Code: {
      type: DataTypes.SMALLINT,
      allowNull: false
    },
    Value: {
      type: DataTypes.STRING(100),
      allowNull: false
    },
    Unique: {
      type: DataTypes.TINYINT,
      allowNull: false
    }
  }, {
    sequelize,
    tableName: 'positiontypes',
    hasTrigger: true,
    timestamps: false,
    indexes: [
      {
        name: "PRIMARY",
        unique: true,
        using: "BTREE",
        fields: [
          { name: "ID" },
        ]
      },
    ]
  });
  return positiontypes;
  }
}
