import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class questions extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true
    },
    Title: {
      type: DataTypes.TEXT,
      allowNull: true
    },
    DefectText: {
      type: DataTypes.TEXT,
      allowNull: true
    },
    DataType: {
      type: DataTypes.STRING(100),
      allowNull: true
    },
    Response: {
      type: DataTypes.STRING(100),
      allowNull: true
    },
    CategoryID: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    Critical: {
      type: DataTypes.TINYINT.UNSIGNED,
      allowNull: true
    },
    InsertDateTime: {
      type: DataTypes.DATE,
      allowNull: true
    },
    UpdateDateTime: {
      type: DataTypes.DATE,
      allowNull: true
    },
    DeleteDateTime: {
      type: DataTypes.DATE,
      allowNull: true
    },
    Status: {
      type: DataTypes.TINYINT,
      allowNull: true,
      defaultValue: 1
    },
    Comment: {
      type: DataTypes.STRING(255),
      allowNull: true
    },
    Pattern: {
      type: DataTypes.STRING(100),
      allowNull: true
    },
    Action: {
      type: DataTypes.STRING(100),
      allowNull: true
    },
    Quide: {
      type: DataTypes.TEXT,
      allowNull: true
    }
  }, {
    sequelize,
    tableName: 'questions',
    hasTrigger: true,
    timestamps: false,
    indexes: [
      {
        name: "PRIMARY",
        unique: true,
        using: "BTREE",
        fields: [
          { name: "ID" },
        ]
      },
    ]
  });
  return questions;
  }
}
