import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class userpositions extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      autoIncrement: true,
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true
    },
    UserID: {
      type: DataTypes.INTEGER,
      allowNull: false
    },
    PositionID: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    RoleID: {
      type: DataTypes.INTEGER,
      allowNull: false
    },
    NetworkAccessID: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    Status: {
      type: DataTypes.TINYINT.UNSIGNED,
      allowNull: true,
      defaultValue: 1
    }
  }, {
    sequelize,
    tableName: 'userpositions',
    hasTrigger: true,
    timestamps: false,
    indexes: [
      {
        name: "PRIMARY",
        unique: true,
        using: "BTREE",
        fields: [
          { name: "ID" },
        ]
      },
    ]
  });
  return userpositions;
  }
}
