import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class facilitypositions extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      autoIncrement: true,
      type: DataTypes.SMALLINT,
      allowNull: false,
      primaryKey: true
    },
    FacilityTypeID: {
      type: DataTypes.SMALLINT,
      allowNull: false
    },
    PositionTypeID: {
      type: DataTypes.SMALLINT,
      allowNull: false
    }
  }, {
    sequelize,
    tableName: 'facilitypositions',
    hasTrigger: true,
    timestamps: false,
    indexes: [
      {
        name: "PRIMARY",
        unique: true,
        using: "BTREE",
        fields: [
          { name: "ID" },
        ]
      },
    ]
  });
  return facilitypositions;
  }
}
