import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class isic-4-facategories extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      type: DataTypes.TINYINT.UNSIGNED,
      allowNull: false,
      primaryKey: true
    },
    ISICID: {
      type: DataTypes.STRING(5),
      allowNull: true
    },
    Code: {
      type: DataTypes.STRING(5),
      allowNull: true
    },
    Value: {
      type: DataTypes.STRING(255),
      allowNull: true
    },
    LowerLimit: {
      type: DataTypes.STRING(2),
      allowNull: true
    },
    UpperLimit: {
      type: DataTypes.STRING(2),
      allowNull: true
    }
  }, {
    sequelize,
    tableName: 'isic-4-facategories',
    timestamps: false
  });
  return isic-4-facategories;
  }
}
