import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class positions extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      autoIncrement: true,
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true
    },
    NetworkStructureID: {
      type: DataTypes.INTEGER,
      allowNull: false
    },
    PositionTypeID: {
      type: DataTypes.SMALLINT,
      allowNull: false
    },
    DisplayName: {
      type: DataTypes.STRING(100),
      allowNull: false
    },
    Status: {
      type: DataTypes.TINYINT,
      allowNull: false
    },
    Deleted: {
      type: DataTypes.TINYINT,
      allowNull: false,
      defaultValue: 0
    },
    Selected: {
      type: DataTypes.TINYINT,
      allowNull: true,
      defaultValue: 0
    }
  }, {
    sequelize,
    tableName: 'positions',
    hasTrigger: true,
    timestamps: false,
    indexes: [
      {
        name: "PRIMARY",
        unique: true,
        using: "BTREE",
        fields: [
          { name: "ID" },
        ]
      },
    ]
  });
  return positions;
  }
}
