import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class rolefunctions extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      autoIncrement: true,
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true
    },
    RoleID: {
      type: DataTypes.INTEGER,
      allowNull: false
    },
    FunctionName: {
      type: DataTypes.STRING(50),
      allowNull: false
    },
    Permission: {
      type: DataTypes.TINYINT,
      allowNull: false,
      defaultValue: 0
    },
    Credit: {
      type: DataTypes.DOUBLE,
      allowNull: true
    }
  }, {
    sequelize,
    tableName: 'rolefunctions',
    hasTrigger: true,
    timestamps: false,
    indexes: [
      {
        name: "PRIMARY",
        unique: true,
        using: "BTREE",
        fields: [
          { name: "ID" },
        ]
      },
    ]
  });
  return rolefunctions;
  }
}
