import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class unitdedicated extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      autoIncrement: true,
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true
    },
    UnitID: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    ApprovedBed: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    ActiveBed: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    HospitalType: {
      type: DataTypes.TINYINT.UNSIGNED,
      allowNull: true
    },
    InsertDate: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: Sequelize.fn('current_timestamp')
    }
  }, {
    sequelize,
    tableName: 'unitdedicated',
    hasTrigger: true,
    timestamps: false,
    indexes: [
      {
        name: "PRIMARY",
        unique: true,
        using: "BTREE",
        fields: [
          { name: "ID" },
        ]
      },
    ]
  });
  return unitdedicated;
  }
}
